Subject: 24.4.50; "Not an in-range integer, float, or cons of integers" from x-focus-frame
From: Rupert Swarbrick <[email-masked]>
To: <[email-masked]>
Date: Mon, 29 Sep 2014 15:04:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With the code at the head of the development tree at the moment, running the code

   (x-focus-frame (selected-frame))

yields the error

   Not an in-range integer, float, or cons of integers

(this comes from src/data.c, in case that's of interest).

Bisection tracks the change down to the patch with git sha ID c7fcb3f8,
which was committed on 7/9/2014, modifying xselect.c. Running gcc -E, I see
that on this system the constant X_LONG_MAX comes out as 0x7fffffff (which is
2^31-1). LONG_MAX, on the other hand, comes out as 9223372036854775807L (which
is 2^63-1, I think).

This bug appears when Emacsclient tries to raise a frame in which it opened
a file. This would be ignorable, but the error gets spotted by an emacsclient
invocation when writing commit messages with magit, and the whole commit
falls over. (I'm mostly writing this paragraph for anyone searching with
Google and wondering whether this is the bug they hit)

In GNU Emacs 24.4.50.6 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
  of 2014-09-29 on xl-cam-rhel6test
Windowing system distributor `The X.Org Foundation', version 11.0.11300000
System Description:	Red Hat Enterprise Linux Server release 6.4 (Santiago)

Configured using:
  `configure
  --with-xml2 --without-sound --without-rsvg --without-imagemagick
  --with-x-toolkit=lucid'

Configured features:
XPM JPEG TIFF GIF PNG GPM DBUS GCONF NOTIFY ACL LIBSELINUX GNUTLS
LIBXML2 ZLIB

Important settings:
   value of $LC_COLLATE: C
   value of $LANG: en_GB.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t

Recent input:
C-n M-x r e p o r t <tab> <return> C-x o C-x b * <backspace>
C-x b <return> C-x o C-n C-x o M-x M-p <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
eval: Not an in-range integer, float, or cons of integers
End of buffer
byte-code: Command attempted to use minibuffer while in minibuffer
End of buffer

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting x-toolkit x multi-tty emacs)

Memory information:
((conses 16 76621 5099)
  (symbols 48 17849 0)
  (miscs 40 48 127)
  (strings 32 11789 3804)
  (string-bytes 1 308287)
  (vectors 16 9947)
  (vector-slots 8 388130 17256)
  (floats 8 72 143)
  (intervals 56 203 8)
  (buffers 976 11)
  (heap 1024 37250 627))